---
title: Contributing to SPIFFE and SPIRE
---

As an early stage project, SPIFFE is guided by a small but very active community of passionate software engineers with empathy for the problems the project will tackle. We will be opening up this community more broadly in the coming few months.

## Join the Community

* **Slack** --- Most real-time discussions happen on SPIFFE's Slack channel at https://spiffe.slack.com. You can join [here](https://slack.spiffe.io/).

* **Mailing lists** --- Announcements occur in the SPIFFE [Google Group](https://groups.google.com/a/spiffe.io/forum/#!forum/announce). There is also a [users](https://groups.google.com/a/spiffe.io/forum/#!forum/user-discussion) and [developers](https://groups.google.com/a/spiffe.io/forum/#!forum/dev-discussion) list.

* **Special Interest Groups and Working Groups** --- The broader SPIFFE community is self-organized into Special Interest Groups (SIGs) that coordinate to manage specific aspects of SPIFFE’s design, and Working Groups (WGs) that focus on short-term cross-SIG initiatives. A list of active SIGs and WGs can be found [here](https://github.com/spiffe/spiffe/tree/master/community).

* **Social media** --- Follow us on [Twitter](https://twitter.com/SPIFFEio).

## Contribute to the Project

Both SPIFFE and SPIRE are managed publicly on Github. You can contribute by filing issues, submitting pull requests, 

* [SPIFFE contribution guidelines](https://github.com/spiffe/spiffe/blob/master/CONTRIBUTING.md)
* [SPIRE contribution guidelines](https://github.com/spiffe/spire/blob/master/CONTRIBUTING.md)

While anyone is welcome to propose contributions via pull request, we strongly encourage significant contributions - particularly those that might require a significant change to core components - to be first discussed and a high level design agreed upon with the appropriate SIGs or WGs (see above).

Day to day contributions are vetted by the project's maintainers. Overall project direction, guidance and conflict resolution is overseen by the projects' Techincal Steering Committee. Full details on this process can be found [in the project GOVERNANCE page](https://github.com/spiffe/spiffe/blob/master/GOVERNANCE.md).

## SPIFFE and SPIRE branding guidelines

* [SPIFFE](https://branding.cncf.io/projects/spiffe)
* [SPIRE](https://branding.cncf.io/projects/spire)