---
title: Examples
description: Real world examples of how SPIFFE and SPIRE are being used
weight: 20
menu:
  spiffe:
    weight: 20
---

The following presentations, podcasts, and blog posts demonstrate how people have used SPIFFE and SPIRE to address complex software infrastructure challenges.

# Presentations

Most of these presentations link to YouTube videos. Some of these links start at a certain point in a video that contains multiple presentations.

| Topic | Presenters | Presenters' Organizations | Venue | Date | Language |
| --- | --- | --- | --- | --- | --- |
| [Integrating NGINX and SPIRE](https://www.youtube.com/watch?v=plRkDK5xFpM&list=PLWsNZXV-gXVY_br7I8gz9q0Fijk4DoUxG&index=5&t=0s) | Faisal Memon | F5 Networks | SPIFFE Community Day | 11-October-2019 | English |
| [Authenticating database clients using SPIRE-issued SVIDs](https://www.youtube.com/watch?v=YFll-3jgFrU&list=PLWsNZXV-gXVY_br7I8gz9q0Fijk4DoUxG&index=6&t=0s) | Agustín Martínez Fayó | Scytale | SPIFFE Community Day | 11-October-2019 | English |
| [TPM Node Attestation with SPIRE](https://www.youtube.com/watch?v=30S0sKRxzjM&list=PLWsNZXV-gXVY_br7I8gz9q0Fijk4DoUxG&index=7&t=0s) | Peyton Walters | Bloomberg | SPIFFE Community Day | 11-October-2019 | English |
| [Securing Grey Matter: SPIFFE/SPIRE in a Hybrid Mesh](https://www.youtube.com/watch?v=1TlEO0xO8jw&list=PLWsNZXV-gXVY_br7I8gz9q0Fijk4DoUxG&index=8&t=0s) | Charles Strahan | Decipher Technology Studios | SPIFFE Community Day | 11-October-2019 | English |
| [Leveraging SPIFFE Federation to access AWS APIs using OIDC validation](https://www.youtube.com/watch?v=db_3LefoG9k&list=PLWsNZXV-gXVY_br7I8gz9q0Fijk4DoUxG&index=9&t=775s) | Eugene Weiss | Scytale | SPIFFE Community Day | 11-October-2019 | English |
| [How SPIFFE helps Istio in Service Mesh Federation](https://www.youtube.com/watch?v=SCBksDnA2rU) | Yonggang (Oliver) Liu & Wencheng Lu | Google | KubeCon China | 5-July-2019 | English |
[Transparent Service Authentication and Authorization With Calico, Envoy and SPIRE](https://youtu.be/H5IlmYmEDKk?t=7812) | Spike Curtis | Tigera | SPIFFE Community Day | 3-May-2019 | English |
| [Using SPIFFE and SPIRE to ensure secure communications across hybrid infrastructure services](https://youtu.be/H5IlmYmEDKk?t=2585) | Matthew McPherrin | Square | SPIFFE Community Day | 3-May-2019 | English |
| [Integrating SPIRE with workload schedulers](https://youtu.be/H5IlmYmEDKk?t=4703) | Tyler Dixon | Uber | SPIFFE Community Day | 3-May-2019 | English |
| [Securely extending the Istio Service Mesh into new environments with SPIRE](https://youtu.be/H5IlmYmEDKk?t=8896) | Max Lambrecht & Eugene Weiss | Scytale | SPIFFE Community Day | 3-May-2019 | English |
| [SPIFFE & SPIRE panel](https://thenewstack.io/pancakes-at-kubecon-cloudnativecon-eu-all-about-spiffe-and-spire/) | Krishna Ganugapati, Andrew Jessup,  Maya Kaczoworski, Tom Petrocelli, Andreas Zitzelsberger | VMware, Scytale, Google, Amalgam Insights, QAware | KubeCon Europe | 10-May-2018 | English |

# Podcasts

| Topic | Presenters | Presenters' Organization | Podcast | Date | Language |
| --- | --- | --- | --- | --- | --- |
| [SPIFFE & SPIRE panel](https://thenewstack.io/pancakes-at-kubecon-cloudnativecon-eu-all-about-spiffe-and-spire/) | Krishna Ganugapati, Andrew Jessup,  Maya Kaczoworski, Tom Petrocelli, Andreas Zitzelsberger | VMware, Scytale, Google, Amalgam Insights, QAware | The New Stack Analysts  | 10-May-2018 | English |

# Blog Posts and Other Documents

| Topic | Authors | Organization | Date | Language |
| --- | --- | --- | --- | --- |
| [Integrating cloud-native authentication/authorization using Envoy, Open Policy Agent, and SPIRE](https://blog.openpolicyagent.org/envoy-external-authorization-with-opa-578213ed567c) | Ash Narkar | Open Policy Agent | 7-May-2019 | English |
| [Knox and SPIFFE in multi-tenant environments](https://medium.com/pinterest-engineering/secret-management-in-multi-tenant-environments-debc9236a744) | Jeremy Krach | Pinterest | 23-March-2019 | English |


# SPIFFE and SPIRE Overviews

These <!--- presentations, --->podcasts<!---, and blog posts---> provide an overview of SPIFFE and SPIRE.

<!---
### Presentations

Most of these presentations link to YouTube videos. Some of these links start at a certain point in a video that contains multiple presentations.

| Topic | Presenters | Presenters' Organization | Venue | Date | Language |
| --- | --- | --- | --- | --- | --- |
--->

## Podcasts

| Topic | Presenters | Presenters' Organization | Podcast | Date | Language |
| --- | --- | --- | --- | --- | --- |
| [SPIFFE Overview](https://kubernetespodcast.com/episode/045-spiffe/) | Andrew Jessup | Scytale | Kubernetes Podcast | 21-March-2019 | English |
| [Zero-Trust Networks](https://www.se-radio.net/2019/10/episode-385-evan-gilman-and-doug-barth-on-zero-trust-networks/) | Doug Barth & Evan Gilman | Stripe, Scytale | Software Engineering Radio | 22-October-2019 | English |
| [SPIFFE: Zero Trust Workload Identification](https://softwareengineeringdaily.com/2018/11/14/spiffe-zero-trust-workload-identification-with-evan-gilman/) | Evan Gilman | Scytale | Software Engineering Daily | 14-November-2018 | English |

<!---
### Blog Posts and Other Documents

| Topic | Authors | Organization | Date | Language |
| --- | --- | --- | --- | --- |
| - | - | - | - | - |
--->
